import {
  invigilateCount,
  invigilationWarningCount,
  reexamPendingCount,
} from "@/api/invigilation";

const state = {
  navTips: {
    RealtimeMonitoring: {
      val: "",
      classes: "nav-item-tips-popover",
    },
    WainingManage: {
      val: "",
      classes: "nav-item-tips-num",
    },
    ReexamPending: {
      val: "",
      classes: "nav-item-tips-num",
    },
  },
};

const mutations = {
  setRealtimeMonitoring(state, val) {
    state.navTips.RealtimeMonitoring.val = val ? "考试" : null;
  },
  setWainingManage(state, val) {
    state.navTips.WainingManage.val = val;
  },
  setReexamPending(state, val) {
    state.navTips.ReexamPending.val = val;
  },
};

const actions = {
  async fetchRealtimeMonitoringCount({ commit }, datas) {
    const res = await invigilateCount(datas);
    commit("setRealtimeMonitoring", res.data.data.count);
  },
  async fetchWainingManageCount({ commit }, datas) {
    const res = await invigilationWarningCount(datas);
    commit("setWainingManage", res.data.data.count);
  },
  async fetchReexamPendingCount({ commit }, datas) {
    const res = await reexamPendingCount(datas);
    commit("setReexamPending", res.data.data.count);
  },
};

export default { namespaced: true, state, mutations, actions };
